package cn.reghao.tnb.sb.db.autobatis.table.ddl;

import cn.reghao.tnb.sb.db.autobatis.table.Table;
import org.apache.ibatis.annotations.UpdateProvider;

/**
 * @author reghao
 * @date 2019-11-28 09:10:52
 */
public interface DdlMapper {
    @UpdateProvider(type = DdlProvider.class, method = "createDatabase")
    void createDatabase(String db);

    @UpdateProvider(type = DdlProvider.class, method = "copyTableSql")
    void copyTable(String srcTable, String destTable);

    @UpdateProvider(type = DdlProvider.class, method = "createSql")
    void create(Table table);

    @UpdateProvider(type = DdlProvider.class, method = "truncateSql")
    void truncate(String table);

    @UpdateProvider(type = DdlProvider.class, method = "dropSql")
    void drop(String table);
}
